{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macros %}

{% block pageTitle 'Séances' %}

{% block pageActions %}
    <div class="row">
        <div class="col-6 pull-left">
            {{ macros.addButton('sitting_add', 'Ajouter une séance', 'Ajouter une séance') }}
        </div>

        <div class="col-6 -pull-right">
            {{ macros.searchForm(formSearch, searchTerm, 'sitting_index') }}
        </div>
    </div>
{% endblock %}

{% block pageTable %}
    <table class="table table-striped mt-3 bg-white">
        <thead>
            <tr class="d-flex">
                <th class="col-7">{{ knp_pagination_sortable(sittings, 'Intitulé', 's.name') }}</th>
                <th class="col-3">{{ knp_pagination_sortable(sittings, 'Date', 's.date') }}</th>
                <th class="col-2">Actions</th>
            </tr>
        </thead>
        <tbody>
            {{ macros.emptyList(sittings, "Aucune séance à afficher") }}

            {% for sitting in sittings %}
                <tr class="d-flex">
                    <td class="col-7">{{ sitting.name }}</td>
                    <td class="col-3">{{ sitting.date | date('d/m/Y : H:i' , timezone) }}</td>
                    <td class="col-2">
                        {{ macros.showButton('sitting_show_information', sitting.id, 'Visualiser la séance') }}

                        {% if sitting.isArchived == false %}
                            {{ macros.button_open_modal_post(
                                sitting.id,
                                'Classement de la séance',
                                'Voulez-vous classer cette séance ? Toutes les annotations relatives à cette séance seront supprimées. Une fois la séance archivée, les informations que contiennent les pdf resteront en l\'état. Veuillez vous assurer que toutes les informations soient correctes',
                                'sitting_archive',
                                'fas fa-book',
                                'Classer la séance',
                                '<span class="fas fa-exclamation-circle"></span> Classer la séance'
                            ) }}

                        {% endif %}



                        {{ macros.button_open_modal_delete(
                            sitting.id,
                            'Suppression de la séance ' ~ sitting.name,
                            'sitting_delete',
                            'Voulez-vous vraiment supprimer la séance ' ~ sitting.name ~ ' ?',
                            sittings.currentPageNumber,
                            'Supprimer la séance'
                        ) }}

                        {% if sitting.isArchived and is_granted('ROLE_SUPERADMIN') %}
                            {{ macros.button_open_modal_post(
                                sitting.id,
                                'Déclassement de la séance ' ~ sitting.name,
                                'Voulez-vous déclasser la séance ' ~ sitting.name ~ ' ?',
                                'sitting_unarchive',
                                'fas fa-chart-line',
                                'Déclasser la séance'
                            ) }}
                        {% endif %}
                    </td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(sittings) %}
